#include "usart.h"
#include "led.h"
#include "key.h"
#include "spi.h"
#include "sram.h"
#include "malloc.h"
#include "timer.h"
#include "lwip_comm.h"
#include "udp_demo.h"
int main(void)
{
	uart_init(115200);      //串口波特率设置
	LED_Init();             //LED初始化
	KEY_Init();             //按键初始化
	SPI1_Init();            //初始化SPI1
	FSMC_SRAM_Init();       //初始化外部SRAM  	
	mymem_init(SRAMIN);     //初始化内部内存池
	mymem_init(SRAMEX);     //初始化外部内存池
	mymem_init(SRAMCCM);    //初始化CCM内存池
	TIM3_Init(999,839);     //100khz的频率,计数1000为10ms	
	while(lwip_comm_init());//等待lwip初始化成功	
	udp_demo_test();  		  //UDP 模式
	while(1);
}
